cannot install django-tracking

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

cannot install django-tracking

frocco-2
Hello,

I am getting
django.core.exceptions.ImproperlyConfigured: Requested setting CACHES, but settings are not configured. You must either define the environment variable DJANGO_SETTINGS_MODULE or call settings.configure() before accessing settings.

trying pip install django-tracking

Does this work in django 1.5?

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at http://groups.google.com/group/django-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.
 
 
Reply | Threaded
Open this post in threaded view
|

Re: cannot install django-tracking

Nick Dokos
frocco <[hidden email]> wrote:

> Hello,
>
> I am getting
> django.core.exceptions.ImproperlyConfigured: Requested setting CACHES, but settings are not
> configured. You must either define the environment variable DJANGO_SETTINGS_MODULE or call
> settings.configure() before accessing settings.
>
> trying pip install django-tracking
>
> Does this work in django 1.5?
>

FWIW, I tried ``pip install django-tracking'' in a virtualenv where I
had installed django 1.4.3 final, and it was successfully installed:


,----
| $ pip install django-tracking
| Downloading/unpacking django-tracking
|   Downloading django-tracking-0.4.1.tar.gz (1.9Mb): 1.9Mb downloaded
|   Running setup.py egg_info for package django-tracking
|    
|     warning: no previously-included files matching '.*.swp' found under directory 'tracking'
|     warning: no previously-included files matching '*.*' found under directory 'demo'
| Installing collected packages: django-tracking
|   Running setup.py install for django-tracking
|    
|     warning: no previously-included files matching '.*.swp' found under directory 'tracking'
|     warning: no previously-included files matching '*.*' found under directory 'demo'
| Successfully installed django-tracking
| Cleaning up...
`----

Nick

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at http://groups.google.com/group/django-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.


Reply | Threaded
Open this post in threaded view
|

Re: cannot install django-tracking

frocco-2
Thanks, I guess it is a 1.5 problem.

On Monday, March 11, 2013 8:34:31 AM UTC-4, Nick Dokos wrote:
frocco <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="GsCIME0GzvMJ">far...@...> wrote:

> Hello,
>
> I am getting
> django.core.exceptions.ImproperlyConfigured: Requested setting CACHES, but settings are not
> configured. You must either define the environment variable DJANGO_SETTINGS_MODULE or call
> settings.configure() before accessing settings.
>
> trying pip install django-tracking
>
> Does this work in django 1.5?
>

FWIW, I tried ``pip install django-tracking'' in a virtualenv where I
had installed django 1.4.3 final, and it was successfully installed:


,----
| $ pip install django-tracking
| Downloading/unpacking django-tracking
|   Downloading django-tracking-0.4.1.tar.gz (1.9Mb): 1.9Mb downloaded
|   Running setup.py egg_info for package django-tracking
|    
|     warning: no previously-included files matching '.*.swp' found under directory 'tracking'
|     warning: no previously-included files matching '*.*' found under directory 'demo'
| Installing collected packages: django-tracking
|   Running setup.py install for django-tracking
|    
|     warning: no previously-included files matching '.*.swp' found under directory 'tracking'
|     warning: no previously-included files matching '*.*' found under directory 'demo'
| Successfully installed django-tracking
| Cleaning up...
`----

Nick

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at http://groups.google.com/group/django-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.
 
 
Reply | Threaded
Open this post in threaded view
|

Re: cannot install django-tracking

frocco-2
In reply to this post by Nick Dokos
I see there is a pull request that fixes install for 1.5

How do I do a pull request to get the latest version?

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at http://groups.google.com/group/django-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.


Reply | Threaded
Open this post in threaded view
|

Re: cannot install django-tracking

frocco-2
Nevermind, duh

On Monday, March 11, 2013 12:33:32 PM UTC-4, frocco wrote:
I see there is a pull request that fixes install for 1.5

How do I do a pull request to get the latest version?

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at http://groups.google.com/group/django-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.